# Based on the RPMFusion spec file from Fedora 11 repositories

%define source32_url http://www.broadcom.com/docs/linux_sta/hybrid-portsrc-x86_32-v5.60.48.36.tar.gz
Name:		wl-kmod
Version:	5.60.48.36
Release:	1%{?dist}
Summary:	Kernel module for broadcom wireless devices
Group:		System Environment/Kernel
License:	Redistributable, no modification permitted
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
Source11:	broadcom-wl-kmodtool-excludekernel-filterfile
Patch0:		broadcom-wl-5.10.91.9-linux-2.6.29.patch
Patch1:		broadcom-wl-5.10.91.9-license.patch
Patch2:		broadcom-wl-5.10.91.9-linux-2.6.30.patch
BuildRequires:  kernel-netbook-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager:       Glen Gray <slaine@slaine.org>

#Don't think moblin has any tools to detect the kernel version in a spec file
%define krelease `uname -r`


# needed for plague to make sure it builds for i586 and i686
ExclusiveArch:  i586
# ppc disabled because broadcom only provides x86 and x86_64 bits

%description
These packages contain Broadcom's IEEE 802.11a/b/g/n hybrid Linux device
driver for use with Broadcom's BCM4311-, BCM4312-, BCM4321-, and BCM4322
based hardware.

NOTE: You must read the LICENSE.txt file in the docs directory before using
this software.

%prep
cd %{_sourcedir}
#Attempt to download the source files if they're not on the source dir
file1=`basename %{source32_url}`
if [ ! -f "$file1" ]; then
  wget --timeout=5 %{source32_url}
fi


%setup -q -c -T
source_arch32=`basename %{source32_url}`
mkdir %{name}-%{version}-src
pushd %{name}-%{version}-src
tar xzf %{_sourcedir}/$source_arch32
#%patch0 -p1 -b .kernelfx
#%patch1 -p1 -b .license
#%patch2 -p1 -b .kernelfix.2.6.30
popd

%build
pushd %{name}-%{version}-src
/usr/bin/make -C /lib/modules/%{krelease}/build M=`pwd` modules
popd

%install
instdir="%buildroot/lib/modules/%{krelease}"
pushd %{name}-%{version}-src
mkdir -p "$instdir"
install -m 644 *.ko "$instdir"
popd

chmod 0755 "$instdir"

%clean
rm -rf $RPM_BUILD_ROOT

%post
depmod -a "%{krelease}"

%files
%defattr (-, root, root)
/lib/modules

%changelog
* Fri Feb 19 2010 Glen Gray <slaine@slaine.org> - 5.60.48.36-1
- Updated to latest driver.

* Fri Sep 18 2009 Glen Gray <slaine@slaine.org> - 5.10.91.9.3-1
- Broadcom bumped the driver version slightly and now no longer needs
- the extra patches to compile on the 2.6.30 kernel.

* Wed Jul 15 2009 Glen Gray <slaine@slaine.org> - 5.10.91.9-3
- rebased off the rpmfusion source rpm
- patch to compile against 2.6.30.1 (requires kernel to be compiled with )
- Don't include the Broadcom source code, download it from their servers at
  build time.

* Wed May 20 2009 Glen Gray <slaine@slaine.org> - 5.10.79.10-2
- Ported the RPMFusion package to MoblinV2

* Sat Mar 28 2009 Chris Nolan <chris@cenolan.com> - 5.10.79.10-2
- repatched to load lib80211_crypt_tkip module - bug #466

* Wed Mar 25 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.79.10-1.1
- rebuild for new kernels

* Sun Mar 08 2009 Chris Nolan <chris@cenolan.com> - 5.10.79.10-1
- update version to 5.10.79.10

* Tue Feb 24 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.14-2.1
- rebuild for latest Fedora kernel;

* Mon Feb 23 2009 Chris Nolan <chris@cenolan.com> - 5.10.27.14-2
- added patch for building against 2.6.29 kernel

* Fri Feb 13 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.14-1.2
- rebuild for latest Fedora kernel;

* Tue Feb 03 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.14-1.1
- rebuilt

* Sun Feb 01 2009 Chris Nolan <chris@cenolan.com> - 5.10.27.14-1
- update version to 5.10.27.14

* Sat Jan 24 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.12-1.1
- rebuild for latest Fedora kernel;

* Sun Jan 04 2009 Chris Nolan <chris@cenolan.com> - 5.10.27.12-1
- Update version to 5.10.27.12
- Remove vlanmode and build patches

* Wed Dec 31 2008 Chris Nolan <chris@cenolan.com> 5.10.27.11-1
- Update version to 5.10.27.11

* Sat Dec 20 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.8
- rebuild for latest Fedora kernel;

* Sat Dec 06 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.7
- rebuild for latest Fedora kernel;

* Tue Dec 02 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.6
- rebuild for latest Fedora kernel;

* Sat Nov 22 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.5
- rebuild for latest Fedora kernel;

* Wed Nov 19 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.4
- rebuild for latest Fedora kernel;

* Tue Nov 18 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.3
- rebuild for latest Fedora kernel;

* Fri Nov 14 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.2
- rebuild for latest Fedora kernel;

* Sun Nov 09 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5.10.27.6-5.1
- rebuild for latest Fedora kernel;

* Sat Nov 08 2008 Chris Nolan <chris@cenolan.com> 5.10.27.6-5
- Fixed incorrect use of /usr/src/kernels/${kernel_version%%___*}

* Sun Nov 02 2008 Chris Nolan <chris@cenolan.com> 5.10.27.6-4
- Just a spec file tidy up, nothing new

* Thu Oct 30 2008 Chris Nolan <chris@cenolan.com> 5.10.27.6-3
- Moved userland package broadcom-wl into separate package

* Mon Oct 27 2008 Chris Nolan <chris@cenolan.com> 5.10.27.6-2
- Patch to fix vlanmode issue which prevents SSH connections when the driver is used.
- Changed kmod name to wl-kmod as per convention
- Added userland package broadcom-wl which provides kmod-wl-common which contains the required license doc

* Sat Oct 25 2008 Jarod Wilson <jarod@wilsonet.com> 5.10.27.6-1
- Initial build.
